(EA) Get event access requests

Use this API to get a list of event access requests that match the given parameters.

Token Permissions: [ event_designer:access ]

Query Params
int32
Defaults to 20

The number of requests to get per page.

int32
Defaults to 1

The page number to get.

ids
array of strings

The request ids to get

ids
applicationIds
array of strings

Get requests with given applicationIds

applicationIds
eventIds
array of strings

Get requests with given eventIds

eventIds
relationships
array of strings

Get requests with the given relationships

reviewStatuses
array of strings

Get requests with the given review statuses

subscriptions
array of strings

Get requests with the given subscriptions

subscriptions
createdBys
array of strings

Get requests with the given createdBy user IDs

createdBys
boolean

If set to true, exclude requests for auto-approved events

boolean

If set to true, return requests that the user can review

string

The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.
Define the sort order using the following string: fieldname:asc/desc where:

  • fieldname — The field name of the query parameter to sort by.
  • asc — Sort the selected field name in ascending order.
  • desc — Sort the selected field name in descending order.

If the direction is not specified, the default is ascending.

You can use multiple query parameters to refine the sorting order.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json